|
|
| version 1.1, 2003/11/06 14:25:09 | version 1.15, 2015/09/03 17:59:57 |
|---|---|
| Line 1 | Line 1 |
| # Makefile.in generated by automake 1.7.2 from Makefile.am. | # Makefile.in generated by automake 1.11.1 from Makefile.am. |
| # @configure_input@ | # @configure_input@ |
| # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002 | # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, |
| # Free Software Foundation, Inc. | # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation, |
| # Inc. | |
| # This Makefile.in is free software; the Free Software Foundation | # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. |
| Line 14 | Line 15 |
| @SET_MAKE@ | @SET_MAKE@ |
| srcdir = @srcdir@ | |
| top_srcdir = @top_srcdir@ | |
| VPATH = @srcdir@ | VPATH = @srcdir@ |
| pkgdatadir = $(datadir)/@PACKAGE@ | pkgdatadir = $(datadir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ | |
| pkgincludedir = $(includedir)/@PACKAGE@ | pkgincludedir = $(includedir)/@PACKAGE@ |
| top_builddir = ../../.. | pkglibdir = $(libdir)/@PACKAGE@ |
| pkglibexecdir = $(libexecdir)/@PACKAGE@ | |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| INSTALL = @INSTALL@ | |
| install_sh_DATA = $(install_sh) -c -m 644 | install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c | install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c | install_sh_SCRIPT = $(install_sh) -c |
| Line 35 POST_INSTALL = : | Line 33 POST_INSTALL = : |
| NORMAL_UNINSTALL = : | NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : | PRE_UNINSTALL = : |
| POST_UNINSTALL = : | POST_UNINSTALL = : |
| build_triplet = @build@ | |
| host_triplet = @host@ | host_triplet = @host@ |
| subdir = src/lib/sdbm | |
| DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \ | |
| $(srcdir)/Makefile.in | |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |
| am__aclocal_m4_deps = $(top_srcdir)/src/lib/ltdl/m4/argz.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/libtool.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/ltdl.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/ltoptions.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/ltsugar.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/ltversion.m4 \ | |
| $(top_srcdir)/src/lib/ltdl/m4/lt~obsolete.m4 \ | |
| $(top_srcdir)/configure.ac | |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | |
| $(ACLOCAL_M4) | |
| mkinstalldirs = $(install_sh) -d | |
| CONFIG_HEADER = $(top_builddir)/src/include/pa_config_auto.h | |
| CONFIG_CLEAN_FILES = | |
| CONFIG_CLEAN_VPATH_FILES = | |
| LTLIBRARIES = $(noinst_LTLIBRARIES) | |
| libsdbm_la_LIBADD = | |
| am_libsdbm_la_OBJECTS = sdbm.lo sdbm_hash.lo sdbm_lock.lo sdbm_pair.lo \ | |
| pa_file_io.lo pa_strings.lo | |
| libsdbm_la_OBJECTS = $(am_libsdbm_la_OBJECTS) | |
| DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src/include | |
| depcomp = $(SHELL) $(top_srcdir)/depcomp | |
| am__depfiles_maybe = depfiles | |
| am__mv = mv -f | |
| CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ | |
| $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) | |
| LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ | |
| --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ | |
| $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) | |
| CXXLD = $(CXX) | |
| CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ | |
| --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \ | |
| $(LDFLAGS) -o $@ | |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ | |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) | |
| LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ | |
| --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ | |
| $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) | |
| CCLD = $(CC) | |
| LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ | |
| --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ | |
| $(LDFLAGS) -o $@ | |
| SOURCES = $(libsdbm_la_SOURCES) | |
| DIST_SOURCES = $(libsdbm_la_SOURCES) | |
| RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ | |
| html-recursive info-recursive install-data-recursive \ | |
| install-dvi-recursive install-exec-recursive \ | |
| install-html-recursive install-info-recursive \ | |
| install-pdf-recursive install-ps-recursive install-recursive \ | |
| installcheck-recursive installdirs-recursive pdf-recursive \ | |
| ps-recursive uninstall-recursive | |
| HEADERS = $(noinst_HEADERS) | |
| RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | |
| distclean-recursive maintainer-clean-recursive | |
| AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \ | |
| $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \ | |
| distdir | |
| ETAGS = etags | |
| CTAGS = ctags | |
| DIST_SUBDIRS = $(SUBDIRS) | |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |
| am__relativize = \ | |
| dir0=`pwd`; \ | |
| sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | |
| sed_rest='s,^[^/]*/*,,'; \ | |
| sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | |
| sed_butlast='s,/*[^/]*$$,,'; \ | |
| while test -n "$$dir1"; do \ | |
| first=`echo "$$dir1" | sed -e "$$sed_first"`; \ | |
| if test "$$first" != "."; then \ | |
| if test "$$first" = ".."; then \ | |
| dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \ | |
| dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \ | |
| else \ | |
| first2=`echo "$$dir2" | sed -e "$$sed_first"`; \ | |
| if test "$$first2" = "$$first"; then \ | |
| dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \ | |
| else \ | |
| dir2="../$$dir2"; \ | |
| fi; \ | |
| dir0="$$dir0"/"$$first"; \ | |
| fi; \ | |
| fi; \ | |
| dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | |
| done; \ | |
| reldir="$$dir2" | |
| ACLOCAL = @ACLOCAL@ | ACLOCAL = @ACLOCAL@ |
| AMDEP_FALSE = @AMDEP_FALSE@ | |
| AMDEP_TRUE = @AMDEP_TRUE@ | |
| AMTAR = @AMTAR@ | AMTAR = @AMTAR@ |
| APACHE13 = @APACHE13@ | APACHE = @APACHE@ |
| APACHE_CFLAGS = @APACHE_CFLAGS@ | |
| APACHE_INC = @APACHE_INC@ | |
| AR = @AR@ | |
| ARGZ_H = @ARGZ_H@ | |
| AS = @AS@ | |
| AUTOCONF = @AUTOCONF@ | AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ | AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ | AUTOMAKE = @AUTOMAKE@ |
| Line 48 AWK = @AWK@ | Line 139 AWK = @AWK@ |
| CC = @CC@ | CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ | CCDEPMODE = @CCDEPMODE@ |
| CFLAGS = @CFLAGS@ | CFLAGS = @CFLAGS@ |
| COMPILE_APACHE13_MODULE_FALSE = @COMPILE_APACHE13_MODULE_FALSE@ | |
| COMPILE_APACHE13_MODULE_TRUE = @COMPILE_APACHE13_MODULE_TRUE@ | |
| CPP = @CPP@ | CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ | CPPFLAGS = @CPPFLAGS@ |
| CPP_LIBS = @CPP_LIBS@ | |
| CXX = @CXX@ | CXX = @CXX@ |
| CXXCPP = @CXXCPP@ | |
| CXXDEPMODE = @CXXDEPMODE@ | CXXDEPMODE = @CXXDEPMODE@ |
| CXXFLAGS = @CXXFLAGS@ | CXXFLAGS = @CXXFLAGS@ |
| CYGPATH_W = @CYGPATH_W@ | CYGPATH_W = @CYGPATH_W@ |
| DEFS = @DEFS@ | DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ | DEPDIR = @DEPDIR@ |
| DLLTOOL = @DLLTOOL@ | |
| DSYMUTIL = @DSYMUTIL@ | |
| DUMPBIN = @DUMPBIN@ | |
| ECHO_C = @ECHO_C@ | ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ | ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ | ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ | EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ | EXEEXT = @EXEEXT@ |
| FGREP = @FGREP@ | |
| GC_LIBS = @GC_LIBS@ | GC_LIBS = @GC_LIBS@ |
| GREP = @GREP@ | |
| INCLTDL = @INCLTDL@ | INCLTDL = @INCLTDL@ |
| INSTALL = @INSTALL@ | |
| INSTALL_DATA = @INSTALL_DATA@ | INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ | INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ | INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| LD = @LD@ | |
| LDFLAGS = @LDFLAGS@ | LDFLAGS = @LDFLAGS@ |
| LIBADD_DL = @LIBADD_DL@ | LIBADD_DL = @LIBADD_DL@ |
| LIBADD_DLD_LINK = @LIBADD_DLD_LINK@ | |
| LIBADD_DLOPEN = @LIBADD_DLOPEN@ | |
| LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@ | |
| LIBLTDL = @LIBLTDL@ | LIBLTDL = @LIBLTDL@ |
| LIBOBJS = @LIBOBJS@ | LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ | LIBS = @LIBS@ |
| LIBTOOL = @LIBTOOL@ | |
| LIPO = @LIPO@ | |
| LN_S = @LN_S@ | |
| LTDLDEPS = @LTDLDEPS@ | |
| LTDLINCL = @LTDLINCL@ | |
| LTDLOPEN = @LTDLOPEN@ | |
| LTLIBOBJS = @LTLIBOBJS@ | LTLIBOBJS = @LTLIBOBJS@ |
| LT_CONFIG_H = @LT_CONFIG_H@ | |
| LT_DLLOADERS = @LT_DLLOADERS@ | |
| LT_DLPREOPEN = @LT_DLPREOPEN@ | |
| MAKEINFO = @MAKEINFO@ | MAKEINFO = @MAKEINFO@ |
| MANIFEST_TOOL = @MANIFEST_TOOL@ | |
| MIME_INCLUDES = @MIME_INCLUDES@ | MIME_INCLUDES = @MIME_INCLUDES@ |
| MIME_LIBS = @MIME_LIBS@ | MIME_LIBS = @MIME_LIBS@ |
| MKDIR_P = @MKDIR_P@ | |
| NM = @NM@ | |
| NMEDIT = @NMEDIT@ | |
| OBJDUMP = @OBJDUMP@ | |
| OBJEXT = @OBJEXT@ | OBJEXT = @OBJEXT@ |
| OTOOL = @OTOOL@ | |
| OTOOL64 = @OTOOL64@ | |
| P3S = @P3S@ | P3S = @P3S@ |
| PACKAGE = @PACKAGE@ | PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ | PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ | PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ | PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_URL = @PACKAGE_URL@ | |
| PACKAGE_VERSION = @PACKAGE_VERSION@ | PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ | PATH_SEPARATOR = @PATH_SEPARATOR@ |
| PCRE_INCLUDES = @PCRE_INCLUDES@ | |
| PCRE_LIBS = @PCRE_LIBS@ | |
| RANLIB = @RANLIB@ | RANLIB = @RANLIB@ |
| SED = @SED@ | |
| SET_MAKE = @SET_MAKE@ | SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ | SHELL = @SHELL@ |
| STRIP = @STRIP@ | STRIP = @STRIP@ |
| Line 96 VERSION = @VERSION@ | Line 215 VERSION = @VERSION@ |
| XML_INCLUDES = @XML_INCLUDES@ | XML_INCLUDES = @XML_INCLUDES@ |
| XML_LIBS = @XML_LIBS@ | XML_LIBS = @XML_LIBS@ |
| YACC = @YACC@ | YACC = @YACC@ |
| YFLAGS = @YFLAGS@ | |
| abs_builddir = @abs_builddir@ | |
| abs_srcdir = @abs_srcdir@ | |
| abs_top_builddir = @abs_top_builddir@ | |
| abs_top_srcdir = @abs_top_srcdir@ | |
| ac_ct_AR = @ac_ct_AR@ | |
| ac_ct_CC = @ac_ct_CC@ | ac_ct_CC = @ac_ct_CC@ |
| ac_ct_CXX = @ac_ct_CXX@ | ac_ct_CXX = @ac_ct_CXX@ |
| ac_ct_RANLIB = @ac_ct_RANLIB@ | ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ |
| ac_ct_STRIP = @ac_ct_STRIP@ | |
| am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ | |
| am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ | |
| am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@ | |
| am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@ | |
| am__include = @am__include@ | am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ | |
| am__quote = @am__quote@ | am__quote = @am__quote@ |
| am__tar = @am__tar@ | |
| am__untar = @am__untar@ | |
| bindir = @bindir@ | bindir = @bindir@ |
| build = @build@ | build = @build@ |
| build_alias = @build_alias@ | build_alias = @build_alias@ |
| build_cpu = @build_cpu@ | build_cpu = @build_cpu@ |
| build_os = @build_os@ | build_os = @build_os@ |
| build_vendor = @build_vendor@ | build_vendor = @build_vendor@ |
| charsetsdir = @charsetsdir@ | builddir = @builddir@ |
| commentcharset_koi8r = @commentcharset_koi8r@ | |
| commentcharset_windows1250 = @commentcharset_windows1250@ | |
| commentcharset_windows1251 = @commentcharset_windows1251@ | |
| commentcharset_windows1257 = @commentcharset_windows1257@ | |
| datadir = @datadir@ | datadir = @datadir@ |
| datarootdir = @datarootdir@ | |
| dll_extension = @dll_extension@ | dll_extension = @dll_extension@ |
| docdir = @docdir@ | |
| dvidir = @dvidir@ | |
| exec_prefix = @exec_prefix@ | exec_prefix = @exec_prefix@ |
| host = @host@ | host = @host@ |
| host_alias = @host_alias@ | host_alias = @host_alias@ |
| host_cpu = @host_cpu@ | host_cpu = @host_cpu@ |
| host_os = @host_os@ | host_os = @host_os@ |
| host_vendor = @host_vendor@ | host_vendor = @host_vendor@ |
| htmldir = @htmldir@ | |
| includedir = @includedir@ | includedir = @includedir@ |
| infodir = @infodir@ | infodir = @infodir@ |
| install_sh = @install_sh@ | install_sh = @install_sh@ |
| libdir = @libdir@ | libdir = @libdir@ |
| libexecdir = @libexecdir@ | libexecdir = @libexecdir@ |
| localedir = @localedir@ | |
| localstatedir = @localstatedir@ | localstatedir = @localstatedir@ |
| ltdl_LIBOBJS = @ltdl_LIBOBJS@ | |
| ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@ | |
| mandir = @mandir@ | mandir = @mandir@ |
| mysql_client = @mysql_client@ | mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ | oldincludedir = @oldincludedir@ |
| oracle_client = @oracle_client@ | pdfdir = @pdfdir@ |
| pgsql_client = @pgsql_client@ | |
| prefix = @prefix@ | prefix = @prefix@ |
| program_transform_name = @program_transform_name@ | program_transform_name = @program_transform_name@ |
| psdir = @psdir@ | |
| sbindir = @sbindir@ | sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ | sharedstatedir = @sharedstatedir@ |
| sqldriversdir = @sqldriversdir@ | srcdir = @srcdir@ |
| subdirs = @subdirs@ | subdirs = @subdirs@ |
| sys_symbol_underscore = @sys_symbol_underscore@ | |
| sysconfdir = @sysconfdir@ | sysconfdir = @sysconfdir@ |
| target_alias = @target_alias@ | target_alias = @target_alias@ |
| SUBDIRS = apr-include | top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ | |
| INCLUDES = -Iapr-include -I../../include -I../gc/include | top_srcdir = @top_srcdir@ |
| SUBDIRS = pa-include | |
| AM_CPPFLAGS = -Ipa-include -I../../include -I../gc/include | |
| noinst_HEADERS = sdbm_pair.h sdbm_private.h sdbm_tune.h | noinst_HEADERS = sdbm_pair.h sdbm_private.h sdbm_tune.h |
| noinst_LIBRARIES = libsdbm.a | noinst_LTLIBRARIES = libsdbm.la |
| libsdbm_a_SOURCES = \ | libsdbm_la_SOURCES = sdbm.c sdbm_hash.c sdbm_lock.c sdbm_pair.c pa_file_io.C pa_strings.C |
| sdbm.c sdbm_hash.c sdbm_lock.c sdbm_pair.c \ | |
| apr_file_io.C apr_strings.C | |
| EXTRA_DIST = sdbm.vcproj | EXTRA_DIST = sdbm.vcproj |
| subdir = src/lib/sdbm | |
| mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs | |
| CONFIG_HEADER = $(top_builddir)/src/include/pa_config_auto.h | |
| CONFIG_CLEAN_FILES = | |
| LIBRARIES = $(noinst_LIBRARIES) | |
| libsdbm_a_AR = $(AR) cru | |
| libsdbm_a_LIBADD = | |
| am_libsdbm_a_OBJECTS = sdbm.$(OBJEXT) sdbm_hash.$(OBJEXT) \ | |
| sdbm_lock.$(OBJEXT) sdbm_pair.$(OBJEXT) apr_file_io.$(OBJEXT) \ | |
| apr_strings.$(OBJEXT) | |
| libsdbm_a_OBJECTS = $(am_libsdbm_a_OBJECTS) | |
| DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src/include | |
| depcomp = $(SHELL) $(top_srcdir)/depcomp | |
| am__depfiles_maybe = depfiles | |
| @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/apr_file_io.Po \ | |
| @AMDEP_TRUE@ ./$(DEPDIR)/apr_strings.Po ./$(DEPDIR)/sdbm.Po \ | |
| @AMDEP_TRUE@ ./$(DEPDIR)/sdbm_hash.Po ./$(DEPDIR)/sdbm_lock.Po \ | |
| @AMDEP_TRUE@ ./$(DEPDIR)/sdbm_pair.Po | |
| CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ | |
| $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) | |
| CXXLD = $(CXX) | |
| CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \ | |
| -o $@ | |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ | |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) | |
| CCLD = $(CC) | |
| LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@ | |
| DIST_SOURCES = $(libsdbm_a_SOURCES) | |
| HEADERS = $(noinst_HEADERS) | |
| RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \ | |
| ps-recursive install-info-recursive uninstall-info-recursive \ | |
| all-recursive install-data-recursive install-exec-recursive \ | |
| installdirs-recursive install-recursive uninstall-recursive \ | |
| check-recursive installcheck-recursive | |
| DIST_COMMON = $(noinst_HEADERS) Makefile.am Makefile.in | |
| DIST_SUBDIRS = $(SUBDIRS) | |
| SOURCES = $(libsdbm_a_SOURCES) | |
| all: all-recursive | all: all-recursive |
| .SUFFIXES: | .SUFFIXES: |
| .SUFFIXES: .C .c .o .obj | .SUFFIXES: .C .c .lo .o .obj |
| $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) |
| cd $(top_srcdir) && \ | @for dep in $?; do \ |
| $(AUTOMAKE) --gnu src/lib/sdbm/Makefile | case '$(am__configure_deps)' in \ |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | *$$dep*) \ |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe) | ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ |
| && { if test -f $@; then exit 0; else break; fi; }; \ | |
| AR = ar | exit 1;; \ |
| esac; \ | |
| clean-noinstLIBRARIES: | done; \ |
| -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES) | echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/lib/sdbm/Makefile'; \ |
| libsdbm.a: $(libsdbm_a_OBJECTS) $(libsdbm_a_DEPENDENCIES) | $(am__cd) $(top_srcdir) && \ |
| -rm -f libsdbm.a | $(AUTOMAKE) --gnu src/lib/sdbm/Makefile |
| $(libsdbm_a_AR) libsdbm.a $(libsdbm_a_OBJECTS) $(libsdbm_a_LIBADD) | .PRECIOUS: Makefile |
| $(RANLIB) libsdbm.a | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ | |
| *config.status*) \ | |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ | |
| *) \ | |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \ | |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ | |
| esac; | |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) | |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | |
| $(top_srcdir)/configure: $(am__configure_deps) | |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | |
| $(ACLOCAL_M4): $(am__aclocal_m4_deps) | |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | |
| $(am__aclocal_m4_deps): | |
| clean-noinstLTLIBRARIES: | |
| -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES) | |
| @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \ | |
| dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ | |
| test "$$dir" != "$$p" || dir=.; \ | |
| echo "rm -f \"$${dir}/so_locations\""; \ | |
| rm -f "$${dir}/so_locations"; \ | |
| done | |
| libsdbm.la: $(libsdbm_la_OBJECTS) $(libsdbm_la_DEPENDENCIES) | |
| $(CXXLINK) $(libsdbm_la_OBJECTS) $(libsdbm_la_LIBADD) $(LIBS) | |
| mostlyclean-compile: | mostlyclean-compile: |
| -rm -f *.$(OBJEXT) core *.core | -rm -f *.$(OBJEXT) |
| distclean-compile: | distclean-compile: |
| -rm -f *.tab.c | -rm -f *.tab.c |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/apr_file_io.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pa_file_io.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/apr_strings.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pa_strings.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_hash.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_hash.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_lock.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_lock.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_pair.Po@am__quote@ | @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdbm_pair.Plo@am__quote@ |
| distclean-depend: | |
| -rm -rf ./$(DEPDIR) | |
| .C.o: | .C.o: |
| @am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \ | @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCXX_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \ | @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \ | |
| @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \ | |
| @am__fastdepCXX_TRUE@ fi | |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $< |
| @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$< | |
| .C.obj: | .C.obj: |
| @am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \ | @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCXX_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \ | @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \ | |
| @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \ | |
| @am__fastdepCXX_TRUE@ fi | |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` | |
| .C.lo: | |
| @am__fastdepCXX_TRUE@ $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< | |
| @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo | |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ | |
| @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | |
| @am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $< | |
| .c.o: | .c.o: |
| @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \ | @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \ | @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @am__fastdepCC_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \ | |
| @am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \ | |
| @am__fastdepCC_TRUE@ fi | |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | @am__fastdepCC_FALSE@ $(COMPILE) -c $< |
| @am__fastdepCC_FALSE@ $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$< | |
| .c.obj: | .c.obj: |
| @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \ | @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCC_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \ | @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @am__fastdepCC_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \ | |
| @am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \ | |
| @am__fastdepCC_TRUE@ fi | |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@ | @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` |
| @am__fastdepCC_FALSE@ $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` | |
| uninstall-info-am: | .c.lo: |
| @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< | |
| @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo | |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ | |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ | |
| @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $< | |
| mostlyclean-libtool: | |
| -rm -f *.lo | |
| clean-libtool: | |
| -rm -rf .libs _libs | |
| # This directory's subdirectories are mostly independent; you can cd | # This directory's subdirectories are mostly independent; you can cd |
| # into them and run `make' without going through this Makefile. | # into them and run `make' without going through this Makefile. |
| Line 285 uninstall-info-am: | Line 394 uninstall-info-am: |
| # (which will cause the Makefiles to be regenerated when you run `make'); | # (which will cause the Makefiles to be regenerated when you run `make'); |
| # (2) otherwise, pass the desired values on the `make' command line. | # (2) otherwise, pass the desired values on the `make' command line. |
| $(RECURSIVE_TARGETS): | $(RECURSIVE_TARGETS): |
| @set fnord $$MAKEFLAGS; amf=$$2; \ | @fail= failcom='exit 1'; \ |
| for f in x $$MAKEFLAGS; do \ | |
| case $$f in \ | |
| *=* | --[!k]*);; \ | |
| *k*) failcom='fail=yes';; \ | |
| esac; \ | |
| done; \ | |
| dot_seen=no; \ | dot_seen=no; \ |
| target=`echo $@ | sed s/-recursive//`; \ | target=`echo $@ | sed s/-recursive//`; \ |
| list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ |
| Line 296 $(RECURSIVE_TARGETS): | Line 411 $(RECURSIVE_TARGETS): |
| else \ | else \ |
| local_target="$$target"; \ | local_target="$$target"; \ |
| fi; \ | fi; \ |
| (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ |
| || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \ | || eval $$failcom; \ |
| done; \ | done; \ |
| if test "$$dot_seen" = "no"; then \ | if test "$$dot_seen" = "no"; then \ |
| $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ |
| fi; test -z "$$fail" | fi; test -z "$$fail" |
| mostlyclean-recursive clean-recursive distclean-recursive \ | $(RECURSIVE_CLEAN_TARGETS): |
| maintainer-clean-recursive: | @fail= failcom='exit 1'; \ |
| @set fnord $$MAKEFLAGS; amf=$$2; \ | for f in x $$MAKEFLAGS; do \ |
| case $$f in \ | |
| *=* | --[!k]*);; \ | |
| *k*) failcom='fail=yes';; \ | |
| esac; \ | |
| done; \ | |
| dot_seen=no; \ | dot_seen=no; \ |
| case "$@" in \ | case "$@" in \ |
| distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ |
| Line 325 maintainer-clean-recursive: | Line 445 maintainer-clean-recursive: |
| else \ | else \ |
| local_target="$$target"; \ | local_target="$$target"; \ |
| fi; \ | fi; \ |
| (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ |
| || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \ | || eval $$failcom; \ |
| done && test -z "$$fail" | done && test -z "$$fail" |
| tags-recursive: | tags-recursive: |
| list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ |
| test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ | test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ |
| done | done |
| ctags-recursive: | ctags-recursive: |
| list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ |
| test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ | test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ |
| done | done |
| ETAGS = etags | |
| ETAGSFLAGS = | |
| CTAGS = ctags | |
| CTAGSFLAGS = | |
| tags: TAGS | |
| ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ | unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ | done | \ |
| $(AWK) ' { files[$$0] = 1; } \ | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { for (i in files) print i; }'`; \ | END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| mkid -fID $$unique | mkid -fID $$unique |
| tags: TAGS | |
| TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) | $(TAGS_FILES) $(LISP) |
| tags=; \ | set x; \ |
| here=`pwd`; \ | here=`pwd`; \ |
| if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | |
| include_option=--etags-include; \ | |
| empty_fix=.; \ | |
| else \ | |
| include_option=--include; \ | |
| empty_fix=; \ | |
| fi; \ | |
| list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ |
| if test "$$subdir" = .; then :; else \ | if test "$$subdir" = .; then :; else \ |
| test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \ | test ! -f $$subdir/TAGS || \ |
| set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | |
| fi; \ | fi; \ |
| done; \ | done; \ |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ | unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ | done | \ |
| $(AWK) ' { files[$$0] = 1; } \ | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { for (i in files) print i; }'`; \ | END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| test -z "$(ETAGS_ARGS)$$tags$$unique" \ | shift; \ |
| || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| $$tags $$unique | test -n "$$unique" || unique=$$empty_fix; \ |
| if test $$# -gt 0; then \ | |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
| "$$@" $$unique; \ | |
| else \ | |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
| $$unique; \ | |
| fi; \ | |
| fi | |
| ctags: CTAGS | ctags: CTAGS |
| CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) | $(TAGS_FILES) $(LISP) |
| tags=; \ | |
| here=`pwd`; \ | |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ | unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ | done | \ |
| $(AWK) ' { files[$$0] = 1; } \ | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { for (i in files) print i; }'`; \ | END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| test -z "$(CTAGS_ARGS)$$tags$$unique" \ | test -z "$(CTAGS_ARGS)$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$tags $$unique | $$unique |
| GTAGS: | GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ | here=`$(am__cd) $(top_builddir) && pwd` \ |
| && cd $(top_srcdir) \ | && $(am__cd) $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) $$here | && gtags -i $(GTAGS_ARGS) "$$here" |
| distclean-tags: | distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |
| top_distdir = ../../.. | |
| distdir = $(top_distdir)/$(PACKAGE)-$(VERSION) | |
| distdir: $(DISTFILES) | distdir: $(DISTFILES) |
| @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \ | @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \ | topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| list='$(DISTFILES)'; for file in $$list; do \ | list='$(DISTFILES)'; \ |
| case $$file in \ | dist_files=`for file in $$list; do echo $$file; done | \ |
| $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \ | sed -e "s|^$$srcdirstrip/||;t" \ |
| $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \ | -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| esac; \ | case $$dist_files in \ |
| */*) $(MKDIR_P) `echo "$$dist_files" | \ | |
| sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ | |
| sort -u` ;; \ | |
| esac; \ | |
| for file in $$dist_files; do \ | |
| if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ | if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \ | |
| if test "$$dir" != "$$file" && test "$$dir" != "."; then \ | |
| dir="/$$dir"; \ | |
| $(mkinstalldirs) "$(distdir)$$dir"; \ | |
| else \ | |
| dir=''; \ | |
| fi; \ | |
| if test -d $$d/$$file; then \ | if test -d $$d/$$file; then \ |
| dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ | |
| if test -d "$(distdir)/$$file"; then \ | |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | |
| fi; \ | |
| if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ | if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \ | cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | |
| fi; \ | fi; \ |
| cp -pR $$d/$$file $(distdir)$$dir || exit 1; \ | cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ |
| else \ | else \ |
| test -f $(distdir)/$$file \ | test -f "$(distdir)/$$file" \ |
| || cp -p $$d/$$file $(distdir)/$$file \ | || cp -p $$d/$$file "$(distdir)/$$file" \ |
| || exit 1; \ | || exit 1; \ |
| fi; \ | fi; \ |
| done | done |
| list='$(SUBDIRS)'; for subdir in $$list; do \ | @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ |
| if test "$$subdir" = .; then :; else \ | if test "$$subdir" = .; then :; else \ |
| test -d $(distdir)/$$subdir \ | test -d "$(distdir)/$$subdir" \ |
| || mkdir $(distdir)/$$subdir \ | || $(MKDIR_P) "$(distdir)/$$subdir" \ |
| || exit 1; \ | || exit 1; \ |
| (cd $$subdir && \ | fi; \ |
| done | |
| @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | |
| if test "$$subdir" = .; then :; else \ | |
| dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ | |
| $(am__relativize); \ | |
| new_distdir=$$reldir; \ | |
| dir1=$$subdir; dir2="$(top_distdir)"; \ | |
| $(am__relativize); \ | |
| new_top_distdir=$$reldir; \ | |
| echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \ | |
| echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \ | |
| ($(am__cd) $$subdir && \ | |
| $(MAKE) $(AM_MAKEFLAGS) \ | $(MAKE) $(AM_MAKEFLAGS) \ |
| top_distdir="$(top_distdir)" \ | top_distdir="$$new_top_distdir" \ |
| distdir=../$(distdir)/$$subdir \ | distdir="$$new_distdir" \ |
| am__remove_distdir=: \ | |
| am__skip_length_check=: \ | |
| am__skip_mode_fix=: \ | |
| distdir) \ | distdir) \ |
| || exit 1; \ | || exit 1; \ |
| fi; \ | fi; \ |
| done | done |
| check-am: all-am | check-am: all-am |
| check: check-recursive | check: check-recursive |
| all-am: Makefile $(LIBRARIES) $(HEADERS) | all-am: Makefile $(LTLIBRARIES) $(HEADERS) |
| installdirs: installdirs-recursive | installdirs: installdirs-recursive |
| installdirs-am: | installdirs-am: |
| install: install-recursive | install: install-recursive |
| install-exec: install-exec-recursive | install-exec: install-exec-recursive |
| install-data: install-data-recursive | install-data: install-data-recursive |
| Line 457 install-am: all-am | Line 596 install-am: all-am |
| installcheck: installcheck-recursive | installcheck: installcheck-recursive |
| install-strip: | install-strip: |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| INSTALL_STRIP_FLAG=-s \ | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| `test -z '$(STRIP)' || \ | `test -z '$(STRIP)' || \ |
| echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install | echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install |
| mostlyclean-generic: | mostlyclean-generic: |
| Line 465 mostlyclean-generic: | Line 604 mostlyclean-generic: |
| clean-generic: | clean-generic: |
| distclean-generic: | distclean-generic: |
| -rm -f Makefile $(CONFIG_CLEAN_FILES) | -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) | |
| maintainer-clean-generic: | maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" | @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." | @echo "it deletes files that may require special tools to rebuild." |
| clean: clean-recursive | clean: clean-recursive |
| clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am | clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \ |
| mostlyclean-am | |
| distclean: distclean-recursive | distclean: distclean-recursive |
| -rm -rf ./$(DEPDIR) | |
| distclean-am: clean-am distclean-compile distclean-depend \ | -rm -f Makefile |
| distclean-generic distclean-tags | distclean-am: clean-am distclean-compile distclean-generic \ |
| distclean-tags | |
| dvi: dvi-recursive | dvi: dvi-recursive |
| dvi-am: | dvi-am: |
| html: html-recursive | |
| html-am: | |
| info: info-recursive | info: info-recursive |
| info-am: | info-am: |
| install-data-am: | install-data-am: |
| install-dvi: install-dvi-recursive | |
| install-dvi-am: | |
| install-exec-am: | install-exec-am: |
| install-html: install-html-recursive | |
| install-html-am: | |
| install-info: install-info-recursive | install-info: install-info-recursive |
| install-info-am: | |
| install-man: | install-man: |
| install-pdf: install-pdf-recursive | |
| install-pdf-am: | |
| install-ps: install-ps-recursive | |
| install-ps-am: | |
| installcheck-am: | installcheck-am: |
| maintainer-clean: maintainer-clean-recursive | maintainer-clean: maintainer-clean-recursive |
| -rm -rf ./$(DEPDIR) | |
| -rm -f Makefile | |
| maintainer-clean-am: distclean-am maintainer-clean-generic | maintainer-clean-am: distclean-am maintainer-clean-generic |
| mostlyclean: mostlyclean-recursive | mostlyclean: mostlyclean-recursive |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic | mostlyclean-am: mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool | |
| pdf: pdf-recursive | pdf: pdf-recursive |
| Line 513 ps: ps-recursive | Line 679 ps: ps-recursive |
| ps-am: | ps-am: |
| uninstall-am: uninstall-info-am | uninstall-am: |
| .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \ | |
| install-am install-strip tags-recursive | |
| uninstall-info: uninstall-info-recursive | .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ |
| all all-am check check-am clean clean-generic clean-libtool \ | |
| clean-noinstLTLIBRARIES ctags ctags-recursive distclean \ | |
| distclean-compile distclean-generic distclean-libtool \ | |
| distclean-tags distdir dvi dvi-am html html-am info info-am \ | |
| install install-am install-data install-data-am install-dvi \ | |
| install-dvi-am install-exec install-exec-am install-html \ | |
| install-html-am install-info install-info-am install-man \ | |
| install-pdf install-pdf-am install-ps install-ps-am \ | |
| install-strip installcheck installcheck-am installdirs \ | |
| installdirs-am maintainer-clean maintainer-clean-generic \ | |
| mostlyclean mostlyclean-compile mostlyclean-generic \ | |
| mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \ | |
| uninstall uninstall-am | |
| .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \ | |
| clean-generic clean-noinstLIBRARIES clean-recursive ctags \ | |
| ctags-recursive distclean distclean-compile distclean-depend \ | |
| distclean-generic distclean-recursive distclean-tags distdir \ | |
| dvi dvi-am dvi-recursive info info-am info-recursive install \ | |
| install-am install-data install-data-am install-data-recursive \ | |
| install-exec install-exec-am install-exec-recursive \ | |
| install-info install-info-am install-info-recursive install-man \ | |
| install-recursive install-strip installcheck installcheck-am \ | |
| installdirs installdirs-am installdirs-recursive \ | |
| maintainer-clean maintainer-clean-generic \ | |
| maintainer-clean-recursive mostlyclean mostlyclean-compile \ | |
| mostlyclean-generic mostlyclean-recursive pdf pdf-am \ | |
| pdf-recursive ps ps-am ps-recursive tags tags-recursive \ | |
| uninstall uninstall-am uninstall-info-am \ | |
| uninstall-info-recursive uninstall-recursive | |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. | # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. | # Otherwise a system limit (for SysV at least) may be exceeded. |